unit RealWorldForm;
interface
uses
  SysUtils, Types, UITypes, Classes, Variants, FMX_Types, FMX_Controls, FMX_Forms,
  FMX_Dialogs, FMX_Layouts, FMX_ListBox, FMX_Edit, FMX_Objects,
  DemoFrame, FMX_ExtCtrls;

type
  TfrmRealWorld = class(TForm)
    StatusBar1: TStatusBar;
    ToolBar1: TToolBar;
    ScaledLayout1: TScaledLayout;
    Edit1: TEdit;
    Button1: TButton;
    ListBox1: TListBox;
    Rectangle1: TRectangle;
    RoundRect1: TRoundRect;
    btnHome: TCornerButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    LoginFrame1: TFrmDemo;
    LoginFrame2: TFrmDemo;
  public
    { Public declarations }
  end;

var
  frmRealWorld: TfrmRealWorld;

implementation

{$R *.lfm}

procedure TfrmRealWorld.FormCreate(Sender: TObject);
begin
  LoginFrame1 := TFrmDemo.Create(Self);
  LoginFrame1.GridLayout1.Parent := Rectangle1;

  LoginFrame2 := TFrmDemo.Create(Self);
  LoginFrame2.GridLayout1.Parent := RoundRect1;
end;

procedure TfrmRealWorld.Button1Click(Sender: TObject);
begin
  ListBox1.Items.Add(Edit1.Text)
end;

end.
